Severity: high

Universal XSS in Android WebView

react-native-webview

Overview

A universal cross-site scripting (UXSS) vulnerability, CVE-2020-6506 (https://crbug.com/1083819), has been identified in the Android WebView system component, which allows cross-origin iframes to execute arbitrary JavaScript in the top-level document. This vulnerability affects React Native apps which use a react-native-webview that allows navigation to arbitrary URLs, and when that app runs on systems with an Android WebView version prior to 83.0.4103.106.

Remediation

Ensure users update their Android WebView system component via the Google Play Store to 83.0.4103.106 or higher to avoid this UXSS. 'react-native-webview' is working on a mitigation but it could take some time.

Have content suggestions? Send them to [email protected]

Advisory timeline

  1. published

    Advisory Published
    Sep 25th, 2020
  2. reported

    Reported by Alesandro Ortiz
    Sep 25th, 2020